This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

VPC

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of VPC service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0DEPRECATED20251231
1.1CURRENT-

OpenAPI URL

https://vpc.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Approval VPC Peering

1.1.1 - 1.1

put /v1/vpc-peerings/{vpc_peering_id}/approval

Description

Approval VPC Peering.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone
bodybody
required

VpcPeeringApprovalRequest

Responses

HTTP CodeDescriptionSchema
200OKVpcPeeringShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "type": "CREATE_APPROVE"
}

Example HTTP response

Response 200

{
    "vpc_peering": {
        "account_type": "SAME",
        "approver_vpc_account_id": "",
        "approver_vpc_id": "",
        "approver_vpc_name": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "delete_requester_account_id": "",
        "description": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "requester_vpc_account_id": "",
        "requester_vpc_id": "",
        "requester_vpc_name": "",
        "state": "CREATING"
    }
}

1.2 - Approve PrivateLink Endpoint

1.2.1 - 1.1

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Description

Approve PrivateLink Endpoint

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example :
stringNone
bodybody
required

PrivateLinkEndpointApprovalRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/approval

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "type": "APPROVE"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2026-02-11T06:45:07.448Z",
        "id": "",
        "state": "REQUESTING"
    }
}

1.3 - Connect PrivateLink Endpoint

1.3.1 - 1.1

put /v1/privatelink-endpoints/{privatelink_endpoint_id}/connection

Description

Connect PrivateLink Endpoint

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example :
stringNone
bodybody
required

PrivateLinkEndpointConnectionRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointSummaryShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}/connection

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "type": "DISCONNECT"
}

Example HTTP response

Response 200

{
    "privatelink_endpoint": {
        "created_at": "2026-02-11T06:45:07.468Z",
        "id": "",
        "state": "REQUESTING"
    }
}

1.4 - Create Internet Gateway

1.4.1 - 1.1

post /v1/internet-gateways

Description

Create Internet Gateway.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InternetGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedInternetGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "firewall_enabled": false,
    "firewall_loggable": false,
    "tags": [],
    "type": "IGW",
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "internet_gateway": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "id": "",
        "loggable": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "type": "IGW",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.4.2 - 1.0

post /v1/internet-gateways

Description

Create Internet Gateway.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InternetGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedInternetGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "firewall_enabled": false,
    "firewall_loggable": false,
    "tags": [],
    "type": "IGW",
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "internet_gateway": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_id": "",
        "id": "",
        "loggable": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "type": "IGW",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.5 - Create NAT Gateway

1.5.1 - 1.1

post /v1/nat-gateways

Description

Create NAT Gateway.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

NatGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNatGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/nat-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "publicip_id": "",
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "nat_gateway": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "nat_gateway_ip_address": "",
        "publicip_id": "",
        "state": "",
        "subnet_cidr": "",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.5.2 - 1.0

post /v1/nat-gateways

Description

Create NAT Gateway.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

NatGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedNatGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/nat-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "publicip_id": "",
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "nat_gateway": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "nat_gateway_ip_address": "",
        "publicip_id": "",
        "state": "",
        "subnet_cidr": "",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.6 - Create Port

1.6.1 - 1.1

post /v1/ports

Description

Create port.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PortCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPortShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "fixed_ip_address": "",
    "name": "",
    "security_groups": [],
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "port": {
        "account_id": "",
        "attached_resource_id": "",
        "attached_resource_type": "",
        "created_at": "2026-02-11T06:45:07.048Z",
        "description": "",
        "fixed_ip_address": "",
        "id": "",
        "mac_address": "",
        "modified_at": "2026-02-11T06:45:07.048Z",
        "name": "",
        "security_groups": [
            {
                "id": "",
                "name": ""
            }
        ],
        "state": "",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.6.2 - 1.0

post /v1/ports

Description

Create port.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PortCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPortShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "fixed_ip_address": "",
    "name": "",
    "security_groups": [],
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 201

{
    "port": {
        "account_id": "",
        "attached_resource_id": "",
        "attached_resource_type": "",
        "created_at": "2026-02-11T06:45:05.409Z",
        "description": "",
        "fixed_ip_address": "",
        "id": "",
        "mac_address": "",
        "modified_at": "2026-02-11T06:45:05.409Z",
        "name": "",
        "security_groups": [
            {
                "id": "",
                "name": ""
            }
        ],
        "state": "",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.7 - Create Private NAT

1.7.1 - 1.1

post /v1/private-nats

Description

Create Private NAT.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateNatCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateNatShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "cidr": "",
    "description": "",
    "direct_connect_id": "",
    "name": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "private_nat": {
        "account_id": "",
        "cidr": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "direct_connect_id": "",
        "direct_connect_name": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.7.2 - 1.0

post /v1/private-nats

Description

Create Private NAT.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateNatCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateNatShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "cidr": "",
    "description": "",
    "direct_connect_id": "",
    "name": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "private_nat": {
        "account_id": "",
        "cidr": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "direct_connect_id": "",
        "direct_connect_name": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.8 - Create Private NAT IP

1.8.1 - 1.1

post /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Create Private NAT IP.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
bodybody
required

PrivateNatIpCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPrivateNatIpShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "ip_address": ""
}

Example HTTP response

Response 201

{
    "private_nat_ip": {
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "private_nat_id": "",
        "state": "RESERVED"
    }
}

1.8.2 - 1.0

post /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Create Private NAT IP.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
bodybody
required

PrivateNatIpCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPrivateNatIpShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "ip_address": ""
}

Example HTTP response

Response 201

{
    "private_nat_ip": {
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "private_nat_id": "",
        "state": "RESERVED"
    }
}

1.9 - Create PrivateLink Endpoint

1.9.1 - 1.1

post /v1/privatelink-endpoints

Description

Create PrivateLink Endpoint.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateLinkEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateLinkEndpointShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "endpoint_ip_address": "",
    "name": "",
    "privatelink_service_id": "",
    "security_group_ids": [],
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "privatelink_endpoint": {
        "account_id": "",
        "approval_type": "MANUAL",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "endpoint_ip_address": "",
        "endpoint_ip_port_id": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "privatelink_service_id": "",
        "security_group_ids": [],
        "state": "REQUESTING",
        "subnet_id": "",
        "vpc_id": ""
    }
}

1.10 - Create PrivateLink Service

1.10.1 - 1.1

post /v1/privatelink-services

Description

Create PrivateLink Service.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PrivateLinkServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedPrivateLinkServiceShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "approval_type": "MANUAL",
    "connected_resource_id": "",
    "connected_resource_ip_address": "",
    "connected_resource_type": "LB",
    "description": "",
    "high_speed_transfer": false,
    "name": "",
    "security_group_ids": [],
    "service_ip_address": "",
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "privatelink_service": {
        "account_id": "",
        "approval_type": "MANUAL",
        "connected_resource_id": "",
        "connected_resource_ip_address": "",
        "connected_resource_name": "",
        "connected_resource_type": "LB",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "high_speed_transfer": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "security_group_ids": [],
        "service_ip_address": "",
        "service_ip_port_id": "",
        "state": "CREATING",
        "subnet_id": "",
        "vpc_id": ""
    }
}

1.11 - Create PublicIP

1.11.1 - 1.1

post /v1/publicips

Description

Create PublicIP.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PublicipCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPublicipShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "tags": [],
    "type": "IGW"
}

Example HTTP response

Response 201

{
    "publicip": {
        "account_id": "",
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "RESERVED",
        "type": "IGW"
    }
}

1.11.2 - 1.0

post /v1/publicips

Description

Create PublicIP.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PublicipCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPublicipShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "tags": [],
    "type": "IGW"
}

Example HTTP response

Response 201

{
    "publicip": {
        "account_id": "",
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "RESERVED",
        "type": "IGW"
    }
}

1.12 - Create Subnet

1.12.1 - 1.1

post /v1/subnets

Description

Create subnet.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SubnetCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSubnetShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/subnets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
    "cidr": "192.167.1.0/24",
    "description": "Subnet Description",
    "dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
    "host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
    "name": "subnetName",
    "tags": [],
    "type": "GENERAL",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "subnet": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "allocation_pools": [],
        "cidr": "192.167.1.0/24",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Subnet Description",
        "dns_nameservers": [],
        "gateway_ip_address": "192.167.1.1",
        "host_routes": [],
        "id": "023c57b14f11483689338d085e061492",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "subnetName",
        "state": "CREATING",
        "type": "GENERAL",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.12.2 - 1.0

post /v1/subnets

Description

Create subnet.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SubnetCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSubnetShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/subnets

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
    "cidr": "192.167.1.0/24",
    "description": "Subnet Description",
    "dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
    "host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
    "name": "subnetName",
    "tags": [],
    "type": "GENERAL",
    "vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}

Example HTTP response

Response 202

{
    "subnet": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "allocation_pools": [],
        "cidr": "192.167.1.0/24",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "Subnet Description",
        "dns_nameservers": [],
        "gateway_ip_address": "192.167.1.1",
        "host_routes": [],
        "id": "023c57b14f11483689338d085e061492",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "subnetName",
        "state": "CREATING",
        "type": "GENERAL",
        "vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
        "vpc_name": "vpcName"
    }
}

1.13 - Create Transit Gateway

1.13.1 - 1.1

post /v1/transit-gateways

Description

Create Transit Gateway.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

TransitGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "name": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "transit_gateway": {
        "account_id": "",
        "bandwidth": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_ids": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "uplink_enabled": false
    }
}

1.13.2 - 1.0

post /v1/transit-gateways

Description

Create Transit Gateway.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

TransitGatewayCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "name": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "transit_gateway": {
        "account_id": "",
        "bandwidth": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "firewall_ids": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": "CREATING",
        "uplink_enabled": false
    }
}

1.14 - Create Transit Gateway Rule

1.14.1 - 1.1

post /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Create Transit Gateway Rule.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
bodybody
required

TransitGatewayRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "destination_cidr": "",
    "destination_type": "VPC",
    "tgw_connection_vpc_id": ""
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "destination_cidr": "",
        "destination_resource_id": "",
        "destination_resource_name": "",
        "destination_type": "VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "source_resource_id": "",
        "source_resource_name": "",
        "source_type": "VPC",
        "state": "CREATING",
        "tgw_connection_vpc_id": "",
        "tgw_connection_vpc_name": ""
    }
}

1.14.2 - 1.0

post /v1/transit-gateways/{transit_gateway_id}/routing-rules

Description

Create Transit Gateway Rule.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
bodybody
required

TransitGatewayRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "destination_cidr": "",
    "destination_type": "VPC",
    "tgw_connection_vpc_id": ""
}

Example HTTP response

Response 202

{
    "transit_gateway_rule": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "destination_cidr": "",
        "destination_resource_id": "",
        "destination_resource_name": "",
        "destination_type": "VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "source_resource_id": "",
        "source_resource_name": "",
        "source_type": "VPC",
        "state": "CREATING",
        "tgw_connection_vpc_id": "",
        "tgw_connection_vpc_name": ""
    }
}

1.15 - Create Transit Gateway VPC Connection

1.15.1 - 1.1

post /v1/transit-gateways/{transit_gateway_id}/vpc-connections

Description

Create Transit Gateway VPC Connection.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
bodybody
required

TransitGatewayVpcConnectionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayVpcConnectionShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/vpc-connections

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "transit_gateway_vpc_connection": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "CREATING",
        "transit_gateway_id": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.15.2 - 1.0

post /v1/transit-gateways/{transit_gateway_id}/vpc-connections

Description

Create Transit Gateway VPC Connection.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
bodybody
required

TransitGatewayVpcConnectionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedTransitGatewayVpcConnectionShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/vpc-connections

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "transit_gateway_vpc_connection": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "state": "CREATING",
        "transit_gateway_id": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.16 - Create VPC

1.16.1 - 1.1

post /v1/vpcs

Description

Create VPC.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedVpcShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpcs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "cidr": "192.167.0.0/18",
    "description": "VPC Description",
    "name": "vpcName",
    "tags": []
}

Example HTTP response

Response 201

{
    "vpc": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "cidr": "192.167.0.0/18",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "vpcDescription",
        "id": "7df8abb4912e4709b1cb237daccca7a8",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcName",
        "state": "CREATING"
    }
}

1.16.2 - 1.0

post /v1/vpcs

Description

Create VPC.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedVpcShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpcs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "cidr": "192.167.0.0/18",
    "description": "VPC Description",
    "name": "vpcName",
    "tags": []
}

Example HTTP response

Response 201

{
    "vpc": {
        "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
        "cidr": "192.167.0.0/18",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "vpcDescription",
        "id": "7df8abb4912e4709b1cb237daccca7a8",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "vpcName",
        "state": "CREATING"
    }
}

1.17 - Create VPC Endpoint

1.17.1 - 1.1

post /v1/vpc-endpoints

Description

Create VPC Endpoint.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcEndpointShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "description": "",
    "endpoint_ip_address": "",
    "name": "",
    "resource_info": "",
    "resource_key": "",
    "resource_type": "FS",
    "subnet_id": "",
    "tags": [],
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "vpc_endpoint": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "endpoint_ip_address": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "resource_info": "",
        "resource_key": "",
        "resource_type": "FS",
        "state": "CREATING",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.17.2 - 1.0

post /v1/vpc-endpoints

Description

Create VPC Endpoint.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcEndpointCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcEndpointShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "description": "",
    "endpoint_ip_address": "",
    "name": "",
    "resource_info": "",
    "resource_key": "",
    "resource_type": "FS",
    "subnet_id": "",
    "tags": [],
    "vpc_id": ""
}

Example HTTP response

Response 202

{
    "vpc_endpoint": {
        "account_id": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "endpoint_ip_address": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "resource_info": "",
        "resource_key": "",
        "resource_type": "FS",
        "state": "CREATING",
        "subnet_id": "",
        "subnet_name": "",
        "vpc_id": "",
        "vpc_name": ""
    }
}

1.18 - Create VPC Peering

1.18.1 - 1.1

post /v1/vpc-peerings

Description

Create VPC Peering.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcPeeringCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "approver_vpc_account_id": "",
    "approver_vpc_id": "",
    "description": "",
    "name": "",
    "requester_vpc_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering": {
        "account_type": "SAME",
        "approver_vpc_account_id": "",
        "approver_vpc_id": "",
        "approver_vpc_name": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "delete_requester_account_id": "",
        "description": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "requester_vpc_account_id": "",
        "requester_vpc_id": "",
        "requester_vpc_name": "",
        "state": "CREATING"
    }
}

1.18.2 - 1.0

post /v1/vpc-peerings

Description

Create VPC Peering.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VpcPeeringCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "approver_vpc_account_id": "",
    "approver_vpc_id": "",
    "description": "",
    "name": "",
    "requester_vpc_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering": {
        "account_type": "SAME",
        "approver_vpc_account_id": "",
        "approver_vpc_id": "",
        "approver_vpc_name": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "delete_requester_account_id": "",
        "description": "",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "requester_vpc_account_id": "",
        "requester_vpc_id": "",
        "requester_vpc_name": "",
        "state": "CREATING"
    }
}

1.19 - Create Vpc Peering Rule

1.19.1 - 1.1

post /v1/vpc-peerings/{vpc_peering_id}/routing-rules

Description

Create a VPC Peering Rule.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone
bodybody
required

VpcPeeringRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "destination_cidr": "",
    "destination_vpc_type": "REQUESTER_VPC",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering_rule": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "destination_cidr": "",
        "destination_vpc_id": "",
        "destination_vpc_name": "",
        "destination_vpc_type": "REQUESTER_VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "source_vpc_id": "",
        "source_vpc_name": "",
        "source_vpc_type": "REQUESTER_VPC",
        "state": "CREATING",
        "vpc_peering_id": ""
    }
}

1.19.2 - 1.0

post /v1/vpc-peerings/{vpc_peering_id}/routing-rules

Description

Create a VPC Peering Rule.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone
bodybody
required

VpcPeeringRuleCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVpcPeeringRuleShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/routing-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "destination_cidr": "",
    "destination_vpc_type": "REQUESTER_VPC",
    "tags": []
}

Example HTTP response

Response 202

{
    "vpc_peering_rule": {
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "destination_cidr": "",
        "destination_vpc_id": "",
        "destination_vpc_name": "",
        "destination_vpc_type": "REQUESTER_VPC",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "source_vpc_id": "",
        "source_vpc_name": "",
        "source_vpc_type": "REQUESTER_VPC",
        "state": "CREATING",
        "vpc_peering_id": ""
    }
}

1.20 - Delete Internet Gateway

1.20.1 - 1.1

delete /v1/internet-gateways/{internet_gateway_id}

Description

Delete Internet Gateway.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathinternet_gateway_id
required
Internet Gateway ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/internet-gateways/{internet_gateway_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.20.2 - 1.0

delete /v1/internet-gateways/{internet_gateway_id}

Description

Delete Internet Gateway.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathinternet_gateway_id
required
Internet Gateway ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/internet-gateways/{internet_gateway_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.21 - Delete NAT Gateway

1.21.1 - 1.1

delete /v1/nat-gateways/{nat_gateway_id}

Description

Delete NAT Gateway.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathnat_gateway_id
required
NAT Gateway ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/nat-gateways/{nat_gateway_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.21.2 - 1.0

delete /v1/nat-gateways/{nat_gateway_id}

Description

Delete NAT Gateway.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathnat_gateway_id
required
NAT Gateway ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/nat-gateways/{nat_gateway_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.22 - Delete Port

1.22.1 - 1.1

delete /v1/ports/{port_id}

Description

Delete port.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathport_id
required
Port ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/ports/{port_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 204

1.22.2 - 1.0

delete /v1/ports/{port_id}

Description

Delete port.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathport_id
required
Port ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/ports/{port_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 204

1.23 - Delete Private NAT

1.23.1 - 1.1

delete /v1/private-nats/{private_nat_id}

Description

Delete Private NAT.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.23.2 - 1.0

delete /v1/private-nats/{private_nat_id}

Description

Delete Private NAT.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.24 - Delete Private NAT IP

1.24.1 - 1.1

delete /v1/private-nats/{private_nat_id}/private-nat-ips/{private_nat_ip_id}

Description

Delete Private NAT IP.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
pathprivate_nat_ip_id
required
Private NAT IP ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips/{private_nat_ip_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 204

1.24.2 - 1.0

delete /v1/private-nats/{private_nat_id}/private-nat-ips/{private_nat_ip_id}

Description

Delete Private NAT IP.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
pathprivate_nat_ip_id
required
Private NAT IP ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips/{private_nat_ip_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 204

1.25 - Delete PrivateLink Endpoint

1.25.1 - 1.1

delete /v1/privatelink-endpoints/{privatelink_endpoint_id}

Description

Delete PrivateLink Endpoint.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_endpoint_id
required
PrivateLink Endpoint ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/privatelink-endpoints/{privatelink_endpoint_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.26 - Delete PrivateLink Service

1.26.1 - 1.1

delete /v1/privatelink-services/{privatelink_service_id}

Description

Delete PrivateLink Service.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_service_id
required
PrivateLink Service ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/privatelink-services/{privatelink_service_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.27 - Delete PublicIP

1.27.1 - 1.1

delete /v1/publicips/{publicip_id}

Description

Delete PublicIP.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathpublicip_id
required
PublicIP ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/publicips/{publicip_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 204

1.27.2 - 1.0

delete /v1/publicips/{publicip_id}

Description

Delete PublicIP.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathpublicip_id
required
PublicIP ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/publicips/{publicip_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 204

1.28 - Delete Subnet

1.28.1 - 1.1

delete /v1/subnets/{subnet_id}

Description

Delete subnet.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathsubnet_id
required
Subnet Id
Example : 023c57b14f11483689338d085e061492
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/subnets/{subnet_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.28.2 - 1.0

delete /v1/subnets/{subnet_id}

Description

Delete subnet.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathsubnet_id
required
Subnet Id
Example : 023c57b14f11483689338d085e061492
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/subnets/{subnet_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.29 - Delete Transit Gateway

1.29.1 - 1.1

delete /v1/transit-gateways/{transit_gateway_id}

Description

Delete Transit Gateway.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.29.2 - 1.0

delete /v1/transit-gateways/{transit_gateway_id}

Description

Delete Transit Gateway.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.30 - Delete Transit Gateway Rule

1.30.1 - 1.1

delete /v1/transit-gateways/{transit_gateway_id}/routing-rules/{routing_rule_id}

Description

Delete Transit Gateway Rule.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
pathrouting_rule_id
required
Routing Rule ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules/{routing_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.30.2 - 1.0

delete /v1/transit-gateways/{transit_gateway_id}/routing-rules/{routing_rule_id}

Description

Delete Transit Gateway Rule.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
pathrouting_rule_id
required
Routing Rule ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/routing-rules/{routing_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.31 - Delete Transit Gateway VPC Connection

1.31.1 - 1.1

delete /v1/transit-gateways/{transit_gateway_id}/vpc-connections/{vpc_connection_id}

Description

Delete Transit Gateway VPC Connection.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
pathvpc_connection_id
required
Transit Gateway VPC Connection ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/vpc-connections/{vpc_connection_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.31.2 - 1.0

delete /v1/transit-gateways/{transit_gateway_id}/vpc-connections/{vpc_connection_id}

Description

Delete Transit Gateway VPC Connection.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransit_gateway_id
required
Transit Gateway ID
Example :
stringNone
pathvpc_connection_id
required
Transit Gateway VPC Connection ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/transit-gateways/{transit_gateway_id}/vpc-connections/{vpc_connection_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.32 - Delete VPC

1.32.1 - 1.1

delete /v1/vpcs/{vpc_id}

Description

Delete VPC.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_id
required
VPC Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/vpcs/{vpc_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 204

1.32.2 - 1.0

delete /v1/vpcs/{vpc_id}

Description

Delete VPC.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_id
required
VPC Id
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/vpcs/{vpc_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 204

1.33 - Delete VPC Endpoint

1.33.1 - 1.1

delete /v1/vpc-endpoints/{vpc_endpoint_id}

Description

Delete VPC Endpoint.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_endpoint_id
required
VPC Endpoint ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/vpc-endpoints/{vpc_endpoint_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.33.2 - 1.0

delete /v1/vpc-endpoints/{vpc_endpoint_id}

Description

Delete VPC Endpoint.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_endpoint_id
required
VPC Endpoint ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/vpc-endpoints/{vpc_endpoint_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.34 - Delete VPC Peering

1.34.1 - 1.1

delete /v1/vpc-peerings/{vpc_peering_id}

Description

Delete VPC Peering.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.34.2 - 1.0

delete /v1/vpc-peerings/{vpc_peering_id}

Description

Delete VPC Peering.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.35 - Delete VPC Peering Rule

1.35.1 - 1.1

delete /v1/vpc-peerings/{vpc_peering_id}/routing-rules/{routing_rule_id}

Description

Delete a VPC Peering Rule.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone
pathrouting_rule_id
required
Routing Rule ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/routing-rules/{routing_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 202

1.35.2 - 1.0

delete /v1/vpc-peerings/{vpc_peering_id}/routing-rules/{routing_rule_id}

Description

Delete a VPC Peering Rule.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvpc_peering_id
required
VPC Peering ID
Example :
stringNone
pathrouting_rule_id
required
Routing Rule ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/vpc-peerings/{vpc_peering_id}/routing-rules/{routing_rule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 202

1.36 - List Connected PrivateLink Endpoints

1.36.1 - 1.1

get /v1/privatelink-services/{privatelink_service_id}/connected-endpoints

Description

Get Connected PrivateLink Endpoint List.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivatelink_service_id
required
PrivateLink Service ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKConnectedEndpointListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-services/{privatelink_service_id}/connected-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "connected_privatelink_endpoints": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "privatelink_service_id": "",
            "state": "REQUESTING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.37 - List Internet Gateways

1.37.1 - 1.1

get /v1/internet-gateways

Description

Get Internet Gateway list.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Internet Gateway ID
Example :
any of [string, null]None
queryname
optional
Internet Gateway Name
Example :
any of [string, null]None
querytype
optional
Internet Gateway Type
Example :
enum (IGW, GGW, SIGW)
querystate
optional
State
Example :
string
queryvpc_id
optional
VPC Id
Example :
any of [string, null]
queryvpc_name
optional
VPC Name
Example :
any of [string, null]

Responses

HTTP CodeDescriptionSchema
200OKInternetGatewayListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "internet_gateways": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "firewall_id": "",
            "id": "",
            "loggable": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": "CREATING",
            "type": "IGW",
            "vpc_id": "",
            "vpc_name": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

1.37.2 - 1.0

get /v1/internet-gateways

Description

Get Internet Gateway list.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Internet Gateway ID
Example :
any of [string, null]None
queryname
optional
Internet Gateway Name
Example :
any of [string, null]None
querytype
optional
Internet Gateway Type
Example :
enum (IGW, GGW, SIGW)
querystate
optional
State
Example :
string
queryvpc_id
optional
VPC Id
Example :
any of [string, null]
queryvpc_name
optional
VPC Name
Example :
any of [string, null]

Responses

HTTP CodeDescriptionSchema
200OKInternetGatewayListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/internet-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "internet_gateways": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "firewall_id": "",
            "id": "",
            "loggable": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": "CREATING",
            "type": "IGW",
            "vpc_id": "",
            "vpc_name": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

1.38 - List NAT Gateways

1.38.1 - 1.1

get /v1/nat-gateways

Description

Get NAT Gateway list.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
NAT Gateway Name
Example :
any of [string, null]None
queryvpc_id
optional
VPC Id
Example :
any of [string, null]None
queryvpc_name
optional
VPC Name
Example :
any of [string, null]None
querysubnet_id
optional
Subnet Id
Example :
any of [string, null]None
querysubnet_name
optional
Subnet Name
Example :
any of [string, null]None
querynat_gateway_ip_address
optional
NAT Gateway IP Address
Example :
any of [string, null]None
querystate
optional
NAT Gateway State
Example :
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKNatGatewayListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/nat-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "nat_gateways": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "nat_gateway_ip_address": "",
            "publicip_id": "",
            "state": "",
            "subnet_cidr": "",
            "subnet_id": "",
            "subnet_name": "",
            "vpc_id": "",
            "vpc_name": ""
        }
    ]
}

1.38.2 - 1.0

get /v1/nat-gateways

Description

Get NAT Gateway list.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
NAT Gateway Name
Example :
any of [string, null]None
queryvpc_id
optional
VPC Id
Example :
any of [string, null]None
queryvpc_name
optional
VPC Name
Example :
any of [string, null]None
querysubnet_id
optional
Subnet Id
Example :
any of [string, null]None
querysubnet_name
optional
Subnet Name
Example :
any of [string, null]None
querynat_gateway_ip_address
optional
NAT Gateway IP Address
Example :
any of [string, null]None
querystate
optional
NAT Gateway State
Example :
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKNatGatewayListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/nat-gateways

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "nat_gateways": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "nat_gateway_ip_address": "",
            "publicip_id": "",
            "state": "",
            "subnet_cidr": "",
            "subnet_id": "",
            "subnet_name": "",
            "vpc_id": "",
            "vpc_name": ""
        }
    ]
}

1.39 - List Ports

1.39.1 - 1.1

get /v1/ports

Description

Get port list.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
Port Limit
Example :
any of [integer, null]None
querymarker
optional
Port Marker
Example :
any of [string, null]None
querysort
optional
Port Sort
Example :
any of [string, null]None
queryname
optional
Port Name
Example :
any of [string, null]None
querysubnet_id
optional
Subnet Id
Example :
any of [string, null]None
querysubnet_name
optional
Subnet Name
Example :
any of [string, null]None
queryid
optional
Port ID
Example :
any of [string, null]None
queryattached_resource_id
optional
Connected resource ID
Example :
any of [string, null]None
queryfixed_ip_address
optional
Fixed IP
Example :
any of [string, null]None
querymac_address
optional
MAC Address
Example :
any of [string, null]None
querystate
optional
State
Example :
any of [string, null]None
querysecurity_groups
optional
Security Group List
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPortListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "ports": [
        {
            "account_id": "",
            "attached_resource_id": "",
            "attached_resource_type": "",
            "created_at": "2026-02-11T06:45:07.029Z",
            "description": "",
            "fixed_ip_address": "",
            "id": "",
            "mac_address": "",
            "modified_at": "2026-02-11T06:45:07.029Z",
            "name": "",
            "state": "",
            "subnet_id": "",
            "subnet_name": "",
            "vpc_id": "",
            "vpc_name": ""
        }
    ]
}

1.39.2 - 1.0

get /v1/ports

Description

Get port list.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
Port Limit
Example :
any of [integer, null]None
querymarker
optional
Port Marker
Example :
any of [string, null]None
querysort
optional
Port Sort
Example :
any of [string, null]None
queryname
optional
Port Name
Example :
any of [string, null]None
querysubnet_id
optional
Subnet Id
Example :
any of [string, null]None
querysubnet_name
optional
Subnet Name
Example :
any of [string, null]None
queryid
optional
Port ID
Example :
any of [string, null]None
queryattached_resource_id
optional
Connected resource ID
Example :
any of [string, null]None
queryfixed_ip_address
optional
Fixed IP
Example :
any of [string, null]None
querymac_address
optional
MAC Address
Example :
any of [string, null]None
querystate
optional
State
Example :
any of [string, null]None
querysecurity_groups
optional
Security Group List
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPortListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/ports

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "ports": [
        {
            "account_id": "",
            "attached_resource_id": "",
            "attached_resource_type": "",
            "created_at": "2026-02-11T06:45:05.389Z",
            "description": "",
            "fixed_ip_address": "",
            "id": "",
            "mac_address": "",
            "modified_at": "2026-02-11T06:45:05.389Z",
            "name": "",
            "state": "",
            "subnet_id": "",
            "subnet_name": "",
            "vpc_id": "",
            "vpc_name": ""
        }
    ]
}

1.40 - List Private NAT

1.40.1 - 1.1

get /v1/private-nats

Description

Get Private NAT list.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Private NAT Name
Example :
any of [string, null]None
querycidr
optional
Private NAT IP range
Example :
any of [string, null]None
queryvpc_id
optional
VPC Id
Example :
any of [string, null]None
queryvpc_name
optional
VPC Name
Example :
any of [string, null]None
querydirect_connect_id
optional
Direct Connect ID
Example :
any of [string, null]None
querydirect_connect_name
optional
Direct Connect Name
Example :
any of [string, null]None
querystate
optional
Private NAT State
Example :
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateNatListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_nats": [
        {
            "account_id": "",
            "cidr": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "direct_connect_id": "",
            "direct_connect_name": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": "CREATING",
            "vpc_id": "",
            "vpc_name": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.40.2 - 1.0

get /v1/private-nats

Description

Get Private NAT list.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Private NAT Name
Example :
any of [string, null]None
querycidr
optional
Private NAT IP range
Example :
any of [string, null]None
queryvpc_id
optional
VPC Id
Example :
any of [string, null]None
queryvpc_name
optional
VPC Name
Example :
any of [string, null]None
querydirect_connect_id
optional
Direct Connect ID
Example :
any of [string, null]None
querydirect_connect_name
optional
Direct Connect Name
Example :
any of [string, null]None
querystate
optional
Private NAT State
Example :
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateNatListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_nats": [
        {
            "account_id": "",
            "cidr": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "direct_connect_id": "",
            "direct_connect_name": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": "CREATING",
            "vpc_id": "",
            "vpc_name": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.41 - List Private NAT IP

1.41.1 - 1.1

get /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Get Private NAT IP list.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
Private NAT IP Address
Example :
any of [string, null]None
querystate
optional
Private NAT IP State
Example :
any of [enum (RESERVED, ATTACHED, DELETED), null]None
queryattached_resource_type
optional
Private NAT IP Attached Resource Type
Example :
any of [enum (VM, BM), null]None
queryattached_resource_id
optional
Private NAT IP Attached Resource ID
Example :
any of [string, null]None
queryattached_resource_name
optional
Private NAT IP Attached Resource Name
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateNatIpListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_nat_ips": [
        {
            "attached_resource_id": "",
            "attached_resource_name": "",
            "attached_resource_type": "VM",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "ip_address": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "private_nat_id": "",
            "state": "RESERVED"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.41.2 - 1.0

get /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Get Private NAT IP list.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
Private NAT IP Address
Example :
any of [string, null]None
querystate
optional
Private NAT IP State
Example :
any of [enum (RESERVED, ATTACHED, DELETED), null]None
queryattached_resource_type
optional
Private NAT IP Attached Resource Type
Example :
any of [enum (VM, BM), null]None
queryattached_resource_id
optional
Private NAT IP Attached Resource ID
Example :
any of [string, null]None
queryattached_resource_name
optional
Private NAT IP Attached Resource Name
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateNatIpListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_nat_ips": [
        {
            "attached_resource_id": "",
            "attached_resource_name": "",
            "attached_resource_type": "VM",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "ip_address": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "private_nat_id": "",
            "state": "RESERVED"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.42 - List PrivateLink Endpoint

1.42.1 - 1.1

get /v1/privatelink-endpoints

Description

Get PrivateLink Endpoint List.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
PrivateLink Endpoint ID
Example :
any of [string, null]None
queryname
optional
PrivateLink Endpoint Name
Example :
any of [string, null]None
queryvpc_id
optional
VPC Id
Example :
any of [string, null]None
querysubnet_id
optional
Subnet Id
Example :
any of [string, null]None
queryprivatelink_service_id
optional
PrivateLink Service ID
Example :
any of [string, null]None
queryendpoint_ip_address
optional
Endpoint IP Address
Example :
any of [string, null]None
querystate
optional
PrivateLink Endpoint State
Example :
any of [enum (REQUESTING, CREATING, REJECTED, CANCELED, ACTIVE, DISCONNECTED, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpointListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-endpoints

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "privatelink_endpoints": [
        {
            "account_id": "",
            "approval_type": "MANUAL",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "endpoint_ip_address": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "privatelink_service_id": "",
            "state": "REQUESTING",
            "subnet_id": "",
            "vpc_id": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.43 - List PrivateLink Service

1.43.1 - 1.1

get /v1/privatelink-services

Description

Get PrivateLink Service List.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
PrivateLink Service ID
Example :
any of [string, null]None
queryname
optional
PrivateLink Service Name
Example :
any of [string, null]None
queryvpc_id
optional
VPC Id
Example :
any of [string, null]None
querysubnet_id
optional
Subnet Id
Example :
any of [string, null]None
queryservice_ip_address
optional
Service IP Address
Example :
any of [string, null]None
queryconnected_resource_id
optional
Connected Resource ID
Example :
any of [string, null]None
queryconnected_resource_type
optional
Connected Resource Type
Example :
any of [string, null]None
queryconnected_resource_name
optional
Connected Resource Name
Example :
any of [string, null]None
queryconnected_resource_ip_address
optional
Connected Resource IP Address
Example :
any of [string, null]None
querystate
optional
PrivateLink Service State
Example :
any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkServiceListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/privatelink-services

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "privatelink_services": [
        {
            "account_id": "",
            "approval_type": "MANUAL",
            "connected_resource_id": "",
            "connected_resource_ip_address": "",
            "connected_resource_name": "",
            "connected_resource_type": "LB",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "service_ip_address": "",
            "state": "CREATING",
            "subnet_id": "",
            "vpc_id": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.44 - List PublicIPs

1.44.1 - 1.1

get /v1/publicips

Description

Get PublicIP list.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
IP Address
Example :
any of [string, null]None
querystate
optional
PublicIP State
Example :
any of [string, null]None
queryattached_resource_type
optional
PublicIP Attached Resource Type
Example :
any of [string, null]None
queryattached_resource_id
optional
PublicIP Attached Resource ID
Example :
any of [string, null]None
queryattached_resource_name
optional
PublicIP Attached Resource Name
Example :
any of [string, null]None
queryvpc_id
optional
VPC Id
Example :
any of [string, null]None
querytype
optional
PublicIP Type
Example :
any of [enum (IGW, GGW, SIGW), null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicipListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "publicips": [
        {
            "account_id": "",
            "attached_resource_id": "",
            "attached_resource_name": "",
            "attached_resource_type": "VM",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "id": "",
            "ip_address": "",
[...]
